kysdk.Resource(3)

NAME
kysdk.Resource - System resource usage information class used to obtain total physical memory size, physical memory usage rate, physical memory usage size, actually available physical memory size, actually free physical memory size, total virtual memory allocated by all applications, total Swap partition size, Swap partition usage rate, Swap partition usage, Swap partition free size, CPU instantaneous usage rate, and operating system uptime

SYNOPSIS

Inherits kysdk.Base.

  Public Member Functions

def __init__ (self)
def getMemTotalKiB (self)
Get the total physical memory size of the system
def getMemUsagePercent (self)
Get the physical memory usage rate
def getMemUsageKiB (self)
Get the physical memory usage size, note that Buffer/Cache is counted as used memory
def getMemAvailableKiB (self)
Get the actually available physical memory size, this value is approximately equal to Free + Buffer + Cache
def getMemFreeKiB (self)
Get the actually free physical memory size, note that Buffer/Cache is counted as used memory
def getMemVirtAllocKiB (self)
Get the total virtual memory allocated by all applications
def getMemSwapTotalKiB (self)
Get the total Swap partition size of the system
def getMemSwapUsagePercent (self)
Get the Swap partition usage rate
def getMemSwapUsageKiB (self)
Get the Swap partition usage
def getMemSwapFreeKiB (self)
Get the Swap partition free size
def getCpuCurrentUsage (self)
Get the CPU instantaneous usage rate
def getUpTime (self)
Get the operating system uptime

  Additional Inherited Members

Detailed Description

System resource usage information class used to obtain total physical memory size, physical memory usage rate, physical memory usage size, actually available physical memory size, actually free physical memory size, total virtual memory allocated by all applications, total Swap partition size, Swap partition usage rate, Swap partition usage, Swap partition free size, CPU instantaneous usage rate, and operating system uptime

Member Function Documentation

  def kysdk.Resource.getCpuCurrentUsage ( self)

Get the CPU instantaneous usage rate

Returns
    CPU instantaneous usage rate, this value < 1.00

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemAvailableKiB ( self)

Get the actually available physical memory size, this value is approximately equal to Free + Buffer + Cache

Returns
    Available physical memory size, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemFreeKiB ( self)

Get the actually free physical memory size, note that Buffer/Cache is counted as used memory

Returns
    Free physical memory size, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemSwapFreeKiB ( self)

Get the Swap partition free size

Returns
    Swap partition free size, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemSwapTotalKiB ( self)

Get the total Swap partition size of the system

Returns
    Swap partition size, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemSwapUsageKiB ( self)

Get the Swap partition usage

Returns
    Swap partition usage, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemSwapUsagePercent ( self)

Get the Swap partition usage rate

Returns
    Swap partition usage rate

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemTotalKiB ( self)

Get the total physical memory size of the system

Returns
    Physical memory size, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemUsageKiB ( self)

Get the physical memory usage size, note that Buffer/Cache is counted as used memory

Returns
    Physical memory usage size, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemUsagePercent ( self)

Get the physical memory usage rate

Returns
    Physical memory usage rate

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getMemVirtAllocKiB ( self)

Get the total virtual memory allocated by all applications

Returns
    Total virtual memory allocated, in KiB

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Resource.getUpTime ( self)

Get the operating system uptime

Returns
    System uptime

References kysdk.SessionBase.interface, and kysdk.Base.interface.

Author

Generated automatically by Doxygen for kysdk.py from the source code.